---
title: "Looks"
description: "List the Looks in a project with their exposed fields, current values and metadata"
url: https://developer.disguise.one/api/session/looks/
---

# LOOKS API

-   [GET looks](#get-looks)

## GET looks

### Summary

List the Looks and their exposed fields present in the project

### URL

GET    /api/session/looks

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  },
  "result": [
    {
      "address": "",
      "fields": [
        {
          "name": "",
          "displayName": "",
          "groupName": "",
          "type": "",
          "resourceMeta": {
            "type": ""
          },
          "floatMeta": {
            "min": 0,
            "max": 0,
            "defaultValue": 0,
            "step": 0
          },
          "stringMeta": {
            "options": [
              ""
            ],
            "defaultValue": ""
          },
          "resourceValue": {
            "uid": "",
            "name": ""
          },
          "floatValue": {
            "value": 0,
            "duration": 0,
            "easingFunction": "",
            "startValue": 0,
            "currentValue": 0
          },
          "stringValue": ""
        }
      ],
      "uid": "",
      "description": ""
    }
  ]
}
```
